Loading...
Searching...
No Matches
L4::Ipc::Call Struct Reference

RPC attribute for a standard RPC call. More...

`#include <ipc_iface>`

Inheritance diagram for L4::Ipc::Call:
Collaboration diagram for L4::Ipc::Call:

## Detailed Description

RPC attribute for a standard RPC call.

This is the default for the FLAGS parameter for L4::Ipc::Msg::Rpc_call L4::Ipc::Msg::Rpc_inline_call templates and declares the RPC to have default call semantics and timeouts.

Examples:

L4_RPC(long, send, (unsigned value), L4::Ipc::Call);
L4_RPC
#define L4_RPC(res, name, args, attr...)
Define an RPC call (type and callable).
Definition ipc_iface:541
L4::Ipc::Call
RPC attribute for a standard RPC call.
Definition ipc_iface:240

which is equivalent to:

L4_RPC(long, send, (unsigned value));

Definition at line 239 of file ipc_iface.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/ipc_iface